import { APIError } from "rest-api-errors";
import { errorHandler } from "../middleware/error-handler.js";

export const requestHandler = (response, req, res, next) => {
  if (response instanceof APIError || response instanceof Error) {
    errorHandler(response, req, res, next);
  } else {
    return res.status(200).json({
      success: true,
      ...response,
    });
  }
};
