import express from "express";
import { requestHandler } from "../middleware/index.js";
import adminRouter from "./admin.route.js";
import proxy from "express-http-proxy";

// Country Router
import countryRouter from "./country.route.js";
// Country Permission Router
import countryPermissionRouter from "./countryPermission.route.js";

const router = express();

// Proxy middleware with error handling
const proxyMiddleware = proxy("43.204.213.142:8027/api/master", {
  proxyErrorHandler: (err, res, next) => {
    console.error(err);
  },
});

router.use("/v1", proxyMiddleware);

router.use("/admin", adminRouter);
// Country Router
router.use("/country", countryRouter);
// Country Permission Router
router.use("/countryPermission", countryPermissionRouter);

// fetch all request
router.use(requestHandler);

export default router;
