import { Component } from '@angular/core';
import { BlockTransactionService } from '../block-transaction.service';
import { getCacheData } from '../utils/helper';

@Component({
  selector: 'app-block-transaction',
  templateUrl: './block-transaction.component.html',
  styleUrls: ['./block-transaction.component.css'],
})
export class BlockTransactionComponent {
  DataList: any = [];
  StatusID: any = 2;
  TransactionNumber: any = '';
  constructor(private BlockTransactionSvc: BlockTransactionService) {}

  ngOnInIt(): void {}

  onSelectStatus(StatusID) {
    this.StatusID = StatusID;
  }

  block() {
    const selectedRecords = this.DataList.filter((record) => record.selected);
    if (selectedRecords?.length == 0) {
      alert('Please Select Transactions.');
      return;
    }
    const payload = selectedRecords.map((record) => ({
      IschkApprove: true,
      App_ID: record?.App_ID,
      TransactionNumber: record?.TransactionNumber,
      G_UserID: getCacheData('G_UserID'),
    }));
    this.BlockTransactionSvc.block(payload).subscribe({
      next: (res: any) => {
        if (res) {
          this.DataList = [];
          alert('Transaction Block Successfully.');
          return;
        }
      },
      error: (err) => {
        alert(err?.error?.message);
      },
      complete: () => {},
    });
  }

  unBlock() {
    const selectedRecords = this.DataList.filter((record) => record.selected);
    if (selectedRecords?.length == 0) {
      alert('Please Select Transactions.');
      return;
    }
    const payload = selectedRecords.map((record) => ({
      IschkApprove: true,
      App_ID: record?.App_ID,
      TransactionNumber: record?.TransactionNumber,
      G_UserID: getCacheData('G_UserID'),
    }));

    this.BlockTransactionSvc.unBlock(payload).subscribe({
      next: (res: any) => {
        if (res) {
          this.DataList = [];
          alert('Transaction Release Successfully.');
          return;
        }
      },
      error: (err) => {
        alert(err?.error?.message);
      },
      complete: () => {},
    });
  }

  getAllRecord() {
    if (!this.TransactionNumber) {
      alert('Please Enter Transaction Number.');
      return;
    }
    this.BlockTransactionSvc.getAllRecord(this.TransactionNumber, 0).subscribe(
      (res: any) => {
        if (res?.length == 0) {
          this.DataList = [];
          alert('No data found.');
          return;
        }
        this.DataList = res;
      }
    );
  }

  getAllRecordByStatus() {
    if (!this.StatusID) {
      alert('Please Select Status.');
      return;
    }
    this.BlockTransactionSvc.getAllRecordByStatus(this.StatusID).subscribe(
      (res: any) => {
        if (res?.length == 0) {
          this.DataList = [];
          alert('No data found.');
          return;
        }
        this.DataList = res;
      }
    );
  }

  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
}
