import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DashboardLayoutComponent } from '../dashboard-layout/dashboard-layout.component';
import { CountryManagementComponent } from '../country-management/country-management.component';
import { GlobalComponent } from '../global/global.component';
import { ManageCurrencyComponent } from '../manage-currency/manage-currency.component';
import { ManageExchangeRateComponent } from '../manage-exchange-rate/manage-exchange-rate.component';
import { UserManagementComponent } from '../user-management/user-management.component';
import { ManageAgentCommissionComponent } from '../manage-agent-commission/manage-agent-commission.component';
import { AgencyRatesComponent } from '../agency-rates/agency-rates.component';
import { AgentComponent } from '../agent/agent.component';
import { AgentBranchComponent } from '../agent-branch/agent-branch.component';
import { AgentWiseCommissionComponent } from '../agent-wise-commission/agent-wise-commission.component';
import { ManageCountryPermissionComponent } from '../manage-country-permission/manage-country-permission.component';
import { ManagePurposeOfTransferComponent } from '../manage-purpose-of-transfer/manage-purpose-of-transfer.component';
import { ManageModeOfPaymentComponent } from '../manage-mode-of-payment/manage-mode-of-payment.component';
import { ManageCityComponent } from '../manage-city/manage-city.component';
import { ManageLocationComponent } from '../manage-location/manage-location.component';
import { BankRatesComponent } from '../bank-rates/bank-rates.component';
import { MarginsSpecificSendingCountryComponent } from '../margins-specific-sending-country/margins-specific-sending-country.component';
import { AgentWiseRatesComponent } from '../agent-wise-rates/agent-wise-rates.component';
import { MarginsSpecificSendingReceivingCountryComponent } from '../margins-specific-sending-receiving-country/margins-specific-sending-receiving-country.component';
import { DailyRatesComponent } from '../daily-rates/daily-rates.component';
import { CountryWiseCommissionComponent } from '../country-wise-commission/country-wise-commission.component';
import { CifWiseMarginsComponent } from '../cif-wise-margins/cif-wise-margins.component';
import { RatesMinMaxComponent } from '../rates-min-max/rates-min-max.component';
import { EditTransactionComponent } from '../edit-transaction/edit-transaction.component';
import { EditTransactionDetailComponent } from '../edit-transaction-detail/edit-transaction-detail.component';
import { ViewTransactionStatusComponent } from '../view-transaction-status/view-transaction-status.component';
import { StopPaymentComponent } from '../stop-payment/stop-payment.component';
import { ManageAgentBranchesComponent } from '../manage-agent-branches/manage-agent-branches.component';
import { AllSentTransactionsComponent } from '../all-sent-transactions/all-sent-transactions.component';
import { CancellationRequestComponent } from '../cancellation-request/cancellation-request.component';
import { ViewCancelTransactionComponent } from '../view-cancel-transaction/view-cancel-transaction.component';
import { ViewReceiveTransactionComponent } from '../view-receive-transaction/view-receive-transaction.component';
import { ViewComplianceListComponent } from '../view-compliance-list/view-compliance-list.component';
import { SuspiciousTransactionReportComponent } from '../suspicious-transaction-report/suspicious-transaction-report.component';
import { IndianInboundTransactionReportComponent } from '../indian-inbound-transaction-report/indian-inbound-transaction-report.component';
import { HighValueTransactionReportComponent } from '../high-value-transaction-report/high-value-transaction-report.component';
import { ComplianceReleasedTransactionReportComponent } from '../compliance-released-transaction-report/compliance-released-transaction-report.component';
import { ComplianceHoldTransactionReportComponent } from '../compliance-hold-transaction-report/compliance-hold-transaction-report.component';
import { TransactionAccountingDetailsComponent } from '../transaction-accounting-details/transaction-accounting-details.component';
import { SearchTransactionsComponent } from '../search-transactions/search-transactions.component';
import { CancelPaidTransactionComponent } from '../cancel-paid-transaction/cancel-paid-transaction.component';
import { SearchTransactionModeWiseComponent } from '../search-transaction-mode-wise/search-transaction-mode-wise.component';
import { CtaHoldSummaryComponent } from '../cta-hold-summary/cta-hold-summary.component';
import { ReceiveTransactionStatusSummaryComponent } from '../receive-transaction-status-summary/receive-transaction-status-summary.component';
import { SentTransactionSummaryComponent } from '../sent-transaction-summary/sent-transaction-summary.component';
import { ViewDuplicateTransactionsComponent } from '../view-duplicate-transactions/view-duplicate-transactions.component';
import { CustomerRegistrationComponent } from '../customer-registration/customer-registration.component';
import { EditCustomerRegistrationComponent } from '../edit-customer-registration/edit-customer-registration.component';
import { BeneficiaryActivationComponent } from '../beneficiary-activation/beneficiary-activation.component';
import { DownloadTransactionsFileComponent } from '../download-transactions-file/download-transactions-file.component';
import { UploadTransactionsFileComponent } from '../upload-transactions-file/upload-transactions-file.component';
import { VostroAccountBalanceComponent } from '../vostro-account-balance/vostro-account-balance.component';
import { GlobalTransactionLimitComponent } from '../global-transaction-limit/global-transaction-limit.component';
import { CtaHoldMarginComponent } from '../cta-hold-margin/cta-hold-margin.component';
import { ManagePremiumMarginsComponent } from '../manage-premium-margins/manage-premium-margins.component';
import { EditModeOfPaymentComponent } from '../edit-mode-of-payment/edit-mode-of-payment.component';
import { SendingAgentWiseComponent } from '../sending-agent-wise/sending-agent-wise.component';
import { SendingAgentMarginComponent } from '../sending-agent-margin/sending-agent-margin.component';
import { ManageAgentUsersComponent } from '../manage-agent-users/manage-agent-users.component';
import { ManageAgencyUsersComponent } from '../manage-agency-users/manage-agency-users.component';
import { ManageUserSubgroupsComponent } from '../manage-user-subgroups/manage-user-subgroups.component';
import { ManageUserGroupRightsComponent } from '../manage-user-group-rights/manage-user-group-rights.component';
import { ViewComplainceHoldListComponent } from '../view-complaince-hold-list/view-complaince-hold-list.component';
import { BeneficiaryComplianceHoldComponent } from '../beneficiary-compliance-hold/beneficiary-compliance-hold.component';
import { ComplianceReportComponent } from '../compliance-report/compliance-report.component';
import { ComplianceUploadDataComponent } from '../compliance-upload-data/compliance-upload-data.component';
import { ComplianceUploadReportComponent } from '../compliance-upload-report/compliance-upload-report.component';
import { RejectBeneficiaryComplianceReleaseComponent } from '../reject-beneficiary-compliance-release/reject-beneficiary-compliance-release.component';
import { ReleaseBeneficiaryComplianceRejectComponent } from '../release-beneficiary-compliance-reject/release-beneficiary-compliance-reject.component';
import { ComplianceRejectedTransactionReportComponent } from '../compliance-rejected-transaction-report/compliance-rejected-transaction-report.component';
import { ViewComplianceTransactionReportComponent } from '../view-compliance-transaction-report/view-compliance-transaction-report.component';
import { CountryMandatoryFieldService } from '../country-mandatory-field.service';
import { CountryMandatoryFieldComponent } from '../country-mandatory-field/country-mandatory-field.component';
import { ReceivingPercentageWiseComponent } from '../receiving-percentage-wise/receiving-percentage-wise.component';
import { SendingPercentageWiseComponent } from '../sending-percentage-wise/sending-percentage-wise.component';
import { AgentReportsComponent } from '../agent-reports/agent-reports.component';
import { ForexTreasuryComponent } from '../forex-treasury/forex-treasury.component';
import { AgentBalancesComponent } from '../agent-balances/agent-balances.component';
import { AllPaidTransactionsComponent } from '../all-paid-transactions/all-paid-transactions.component';
import { SendReceiveTransactionListComponent } from '../send-receive-transaction-list/send-receive-transaction-list.component';
import { CommissionDetailsComponent } from '../commission-details/commission-details.component';
import { SendRemittanceComponent } from '../send-remittance/send-remittance.component';
import { TransactionsStatusReportComponent } from '../transactions-status-report/transactions-status-report.component';
import { SentTxnsUserWiseComponent } from '../sent-txns-user-wise/sent-txns-user-wise.component';
import { TurnOverReportComponent } from '../turn-over-report/turn-over-report.component';
import { AllReceiveReportComponent } from '../all-receive-report/all-receive-report.component';
import { AllSentCorridorWiseComponent } from '../all-sent-corridor-wise/all-sent-corridor-wise.component';
import { AllSentTransactionMisComponent } from '../all-sent-transaction-mis/all-sent-transaction-mis.component';
import { StatementOfAccountComponent } from '../statement-of-account/statement-of-account.component';
import { PayoutSummaryComponent } from '../payout-summary/payout-summary.component';
import { PaidUnpaidTransactionsComponent } from '../paid-unpaid-transactions/paid-unpaid-transactions.component';
import { ErrorLogReportComponent } from '../error-log-report/error-log-report.component';
import { RebateReportComponent } from '../rebate-report/rebate-report.component';
import { RegisteredCustomersDetailsComponent } from '../registered-customers-details/registered-customers-details.component';
import { CountryWiseCurrencyRateComponent } from '../country-wise-currency-rate/country-wise-currency-rate.component';
import { RatesSummarizedWayComponent } from '../rates-summarized-way/rates-summarized-way.component';
import { BeneficiaryRegisterDetailsComponent } from '../beneficiary-register-details/beneficiary-register-details.component';
import { RepushTransactionsDetailsComponent } from '../repush-transactions-details/repush-transactions-details.component';
import { InstantCashTransactionsComponent } from '../instant-cash-transactions/instant-cash-transactions.component';
import { TreasuryReportComponent } from '../treasury-report/treasury-report.component';
import { DailyRemittanceDashboardReportComponent } from '../daily-remittance-dashboard-report/daily-remittance-dashboard-report.component';
import { MonthlyFeesReconciliationReportComponent } from '../monthly-fees-reconciliation-report/monthly-fees-reconciliation-report.component';
import { MgTransactionAccountDetailsComponent } from '../mg-transaction-account-details/mg-transaction-account-details.component';
import { MisAuditComponent } from '../mis-audit/mis-audit.component';
import { RemoveTransactionComponent } from '../remove-transaction/remove-transaction.component';
import { ApproveTransactionComponent } from '../approve-transaction/approve-transaction.component';
import { SendAgentsCtaTransactionsComponent } from '../send-agents-cta-transactions/send-agents-cta-transactions.component';
import { TransactionProcessLogComponent } from '../transaction-process-log/transaction-process-log.component';
import { ViewPendingApprovalComponent } from '../view-pending-approval/view-pending-approval.component';
import { AgentBlockTransactionComponent } from '../agent-block-transaction/agent-block-transaction.component';
import { BlockUnblockTransactionComponent } from '../block-unblock-transaction/block-unblock-transaction.component';
import { BeneficiaryRegistrationComponent } from '../beneficiary-registration/beneficiary-registration.component';
import { CommissionIncomeComponent } from '../commission-income/commission-income.component';
import { BlockTransactionComponent } from '../block-transaction/block-transaction.component';
import { EditBeneficiaryRegistrationComponent } from '../edit-beneficiary-registration/edit-beneficiary-registration.component';
import { BeneficiaryRegistrationCheckerComponent } from '../beneficiary-registration-checker/beneficiary-registration-checker.component';
import { RejectedBeneficiaryComponent } from '../rejected-beneficiary/rejected-beneficiary.component';
import { ChannelHoldTransactionComponent } from '../channel-hold-transaction/channel-hold-transaction.component';
import { CancellationCheckerComponent } from '../cancellation-checker/cancellation-checker.component';
import { CustomerRegistrationCheckerComponent } from '../customer-registration-checker/customer-registration-checker.component';
import { RejectedCustomerComponent } from '../rejected-customer/rejected-customer.component';
import { TransactionAmendmentComponent } from '../transaction-amendment/transaction-amendment.component';
import { ChannelCancelTransactionComponent } from '../channel-cancel-transaction/channel-cancel-transaction.component';
import { SendingSubAgentCommissionComponent } from '../sending-sub-agent-commission/sending-sub-agent-commission.component';
import { ViewSendingSubAgentMarginComponent } from '../view-sending-sub-agent-margin/view-sending-sub-agent-margin.component';
import { ManageCifWiseComissionComponent } from '../manage-cif-wise-comission/manage-cif-wise-commission.component';
import { VatComponent } from '../vat/vat.component';
import { RelationshipManagementComponent } from '../relationship-management/relationship-management.component';
import { ManageRemitterOccupationComponent } from '../manage-remitter-occupation/manage-remitter-occupation.component';
import { ManageSourceOfIncomeComponent } from '../manage-source-of-income/manage-source-of-income.component';
import { TagMappingComponent } from '../tag-mapping/tag-mapping.component';
import { MapTrMasterComponent } from '../map-tr-master/map-tr-master.component';

import { ComplainceHoldTransactionProcessComponent } from '../complaince-hold-transaction-process/complaince-hold-transaction-process.component';
import { ComplainceViewListApproveComponent } from '../complaince-view-list-approve/complaince-view-list-approve.component';
import { BeneficiaryComplianceReleaseReportRejectComponent } from '../beneficiary-compliance-release-report-reject/beneficiary-compliance-release-report-reject.component';
import { BeneficiaryComplianceReleaseReportComponent } from '../beneficiary-compliance-release-report/beneficiary-compliance-release-report.component';
import { BeneficiaryComplianceHoldViewComponent } from '../beneficiary-compliance-hold-view/beneficiary-compliance-hold-view.component';
import { ViewTransactionStatusForAgentComponent } from '../view-transaction-status-for-agent/view-transaction-status-for-agent.component';
import { EditTransactionDetailsComponent } from '../edit-transaction-details/edit-transaction-details.component';
import { MisReportComponent } from '../mis-report/mis-report.component';
import { SalesMarketingReportComponent } from '../sales-marketing-report/sales-marketing-report.component';
import { RemittancePaidUnpaidComponent } from '../remittance-paid-unpaid/remittance-paid-unpaid.component';
import { UploadTransactionComponent } from '../upload-transaction/upload-transaction.component';
import { DownloadTransactionComponent } from '../download-transaction/download-transaction.component';
import { ComplianceDetailsReportComponent } from '../compliance-details-report/compliance-details-report.component';
import { DataMappingComponent } from '../data-mapping/data-mapping.component';
import { EditStopPaymentComponent } from '../edit-stop-payment/edit-stop-payment.component';
import { ViewTransactionReceiptComponent } from '../view-transaction-receipt/view-transaction-receipt.component';
import { RaCtaHoldTransactionComponent } from '../ra-cta-hold-transaction/ra-cta-hold-transaction.component';
import { LandingPageComponent } from '../landing-page/landing-page.component';
import { ManageComplianceRejectionComponent } from '../manage-compliance-rejection/manage-compliance-rejection.component';

const routes: Routes = [
  {
    path: '',
    component: DashboardLayoutComponent,
    children: [
      {
        path: 'country-management',
        component: CountryManagementComponent,
      },
      {
        path: 'global',
        component: GlobalComponent,
      },
      {
        path: 'manage-currency',
        component: ManageCurrencyComponent,
      },
      {
        path: 'manage-exchange-rate',
        component: ManageExchangeRateComponent,
      },
      {
        path: 'mange-agent-commission',
        component: ManageAgentCommissionComponent,
      },
      {
        path: 'user-management',
        component: UserManagementComponent,
      },
      {
        path: 'agency-rates',
        component: AgencyRatesComponent,
      },
      {
        path: 'manage-agent',
        component: AgentComponent,
      },
      {
        path: 'agent-branch',
        component: AgentBranchComponent,
      },
      {
        path: 'agent-wise-commission',
        component: AgentWiseCommissionComponent,
      },
      {
        path: 'manage-country-permission',
        component: ManageCountryPermissionComponent,
      },
      {
        path: 'purpose-of-transfer',
        component: ManagePurposeOfTransferComponent,
      },
      {
        path: 'manage-mode-of-payment',
        component: ManageModeOfPaymentComponent,
      },
      {
        path: 'manage-city',
        component: ManageCityComponent,
      },
      {
        path: 'manage-location',
        component: ManageLocationComponent,
      },
      {
        path: 'country-mandatory-field',
        component: CountryMandatoryFieldComponent,
      },
      {
        path: 'exchange-bank-rates',
        component: BankRatesComponent,
      },
      {
        path: 'manage-specific-send-country',
        component: MarginsSpecificSendingCountryComponent,
      },
      {
        path: 'exchange-agent-wise-bank-rates',
        component: AgentWiseRatesComponent,
      },
      {
        path: 'manage-specific-send-receive-country',
        component: MarginsSpecificSendingReceivingCountryComponent,
      },
      {
        path: 'manage-daily-rates',
        component: DailyRatesComponent,
      },
      {
        path: 'country-wise-commission',
        component: CountryWiseCommissionComponent,
      },
      {
        path: 'cif-wise-margin',
        component: CifWiseMarginsComponent,
      },
      {
        path: 'rates-min-max',
        component: RatesMinMaxComponent,
      },
      {
        path: 'agent-wise-commission',
        component: AgentWiseCommissionComponent,
      },
      {
        path: 'edit-transaction',
        component: EditTransactionComponent,
      },
      {
        path: 'edit-transaction-detail/:Branch/:AppId',
        component: EditTransactionDetailComponent,
      },
      {
        path: 'view-transaction-status',
        component: ViewTransactionStatusComponent,
      },
      {
        path: 'view-transaction-status-for-agent',
        component: ViewTransactionStatusForAgentComponent,
      },

      {
        path: 'stop-payment',
        component: StopPaymentComponent,
      },
      {
        path: 'manage-agent-branches',
        component: ManageAgentBranchesComponent,
      },
      {
        path: 'all-sent-transaction',
        component: AllSentTransactionsComponent,
      },

      {
        path: 'agent-reports',
        component: AgentReportsComponent,
      },
      {
        path: 'send-remittance',
        component: SendRemittanceComponent,
      },
      {
        path: 'forex-treasury',
        component: ForexTreasuryComponent,
      },
      {
        path: 'agent-balance',
        component: AgentBalancesComponent,
      },
      {
        path: 'all-paid-transaction',
        component: AllPaidTransactionsComponent,
      },
      {
        path: 'agents-exchange-commission-details',
        component: CommissionDetailsComponent,
      },
      {
        path: 'transactions-status-report',
        component: TransactionsStatusReportComponent,
      },
      {
        path: 'sent-txns-user-wise',
        component: SentTxnsUserWiseComponent,
      },
      {
        path: 'turn-over-report',
        component: TurnOverReportComponent,
      },
      {
        path: 'send-receive-transaction-list',
        component: SendReceiveTransactionListComponent,
      },
      {
        path: 'all-receive-report',
        component: AllReceiveReportComponent,
      },
      {
        path: 'all-sent-txns-corridor-wise',
        component: AllSentCorridorWiseComponent,
      },
      {
        path: 'cancel-request',
        component: CancellationRequestComponent,
      },
      {
        path: 'view-cancel-transaction',
        component: ViewCancelTransactionComponent,
      },
      {
        path: 'view-receive-transaction',
        component: ViewReceiveTransactionComponent,
      },
      {
        path: 'view-compliance-list',
        component: ViewComplianceListComponent,
      },

      {
        path: 'compliance-report',
        component: ComplianceReportComponent,
      },
      {
        path: 'view-compliance-hold-list',
        component: ViewComplainceHoldListComponent,
      },
      {
        path: 'beneficiary-compliance-hold',
        component: BeneficiaryComplianceHoldComponent,
      },
      {
        path: 'compliance-upload-data',
        component: ComplianceUploadDataComponent,
      },
      {
        path: 'compliance-upload-report',
        component: ComplianceUploadReportComponent,
      },
      {
        path: 'reject-beneficiary-compliance-release',
        component: RejectBeneficiaryComplianceReleaseComponent,
      },
      {
        path: 'release-breneficiary-compliance-reject',
        component: ReleaseBeneficiaryComplianceRejectComponent,
      },
      {
        path: 'suspicious-transaction-report',
        component: SuspiciousTransactionReportComponent,
      },
      {
        path: 'indian-inbound-transaction-report',
        component: IndianInboundTransactionReportComponent,
      },
      {
        path: 'high-value-transaction-report',
        component: HighValueTransactionReportComponent,
      },
      {
        path: 'compliance-released-transaction-report',
        component: ComplianceReleasedTransactionReportComponent,
      },
      {
        path: 'compliance-hold-transaction-report',
        component: ComplianceHoldTransactionReportComponent,
      },
      {
        path: 'compliance-reject-transaction-report',
        component: ComplianceRejectedTransactionReportComponent,
      },
      {
        path: 'view-compliance-transaction-report',
        component: ViewComplianceTransactionReportComponent,
      },
      {
        path: 'transaction-account-details',
        component: TransactionAccountingDetailsComponent,
      },
      {
        path: 'search-transactions',
        component: SearchTransactionsComponent,
      },
      {
        path: 'cancel-paid-transaction',
        component: CancelPaidTransactionComponent,
      },
      {
        path: 'search-transactions-mode-wise',
        component: SearchTransactionModeWiseComponent,
      },
      {
        path: 'cta-hold-summary',
        component: CtaHoldSummaryComponent,
      },
      {
        path: 'receive-transaction-status-summary',
        component: ReceiveTransactionStatusSummaryComponent,
      },
      {
        path: 'sent-transaction-summary',
        component: SentTransactionSummaryComponent,
      },
      {
        path: 'view-duplicate-transaction',
        component: ViewDuplicateTransactionsComponent,
      },
      {
        path: 'customer-registration',
        component: CustomerRegistrationComponent,
      },
      {
        path: 'edit-customer-registration',
        component: EditCustomerRegistrationComponent,
      },
      {
        path: 'beneficiary-activation',
        component: BeneficiaryActivationComponent,
      },
      {
        path: 'download-transactions-file',
        component: DownloadTransactionsFileComponent,
      },
      {
        path: 'upload-transactions-file',
        component: UploadTransactionsFileComponent,
      },
      {
        path: 'vostro-account-balance',
        component: VostroAccountBalanceComponent,
      },
      {
        path: 'global-transaction-limit',
        component: GlobalTransactionLimitComponent,
      },
      {
        path: 'cta-hold-margin',
        component: CtaHoldMarginComponent,
      },
      {
        path: 'manage-premium-margin',
        component: ManagePremiumMarginsComponent,
      },
      {
        path: 'edit-mode-of-payment',
        component: EditModeOfPaymentComponent,
      },
      {
        path: 'sending-agent-wise',
        component: SendingAgentWiseComponent,
      },
      {
        path: 'sending-agent-margin',
        component: SendingAgentMarginComponent,
      },
      {
        path: 'receiving-percentage-wise',
        component: ReceivingPercentageWiseComponent,
      },
      {
        path: 'sending-percentage-wise',
        component: SendingPercentageWiseComponent,
      },
      {
        path: 'manage-agent-user',
        component: ManageAgentUsersComponent,
      },
      {
        path: 'manage-agency-user',
        component: ManageAgencyUsersComponent,
      },
      {
        path: 'manage-user-subgroups',
        component: ManageUserSubgroupsComponent,
      },
      {
        path: 'manage-user-group-rights',
        component: ManageUserGroupRightsComponent,
      },
      {
        path: 'all-transaction-mis',
        component: AllSentTransactionMisComponent,
      },
      {
        path: 'statement-account',
        component: StatementOfAccountComponent,
      },
      {
        path: 'payout-summary',
        component: PayoutSummaryComponent,
      },
      {
        path: 'paid-unpaid-transaction',
        component: PaidUnpaidTransactionsComponent,
      },
      {
        path: 'error-log-report',
        component: ErrorLogReportComponent,
      },
      {
        path: 'rebate-report',
        component: RebateReportComponent,
      },
      {
        path: 'registered-customers-details',
        component: RegisteredCustomersDetailsComponent,
      },
      {
        path: 'country-wise-currency-rate',
        component: CountryWiseCurrencyRateComponent,
      },
      {
        path: 'rates-summarized-way',
        component: RatesSummarizedWayComponent,
      },
      {
        path: 'beneficiary-register-details',
        component: BeneficiaryRegisterDetailsComponent,
      },
      {
        path: 'repush-transactions-details',
        component: RepushTransactionsDetailsComponent,
      },
      {
        path: 'instant-cash-transactions-details',
        component: InstantCashTransactionsComponent,
      },
      {
        path: 'treasury-report',
        component: TreasuryReportComponent,
      },
      {
        path: 'daily-remittance-dashboard-report',
        component: DailyRemittanceDashboardReportComponent,
      },
      {
        path: 'monthly-fees-reconciliation-report',
        component: MonthlyFeesReconciliationReportComponent,
      },
      {
        path: 'mg-transaction-account-details',
        component: MgTransactionAccountDetailsComponent,
      },
      {
        path: 'mis-audit',
        component: MisAuditComponent,
      },
      {
        path: 'remove-transaction',
        component: RemoveTransactionComponent,
      },
      {
        path: 'approve-transaction',
        component: ApproveTransactionComponent,
      },
      {
        path: 'send-agent-cta-transaction',
        component: SendAgentsCtaTransactionsComponent,
      },
      {
        path: 'transaction-process-log',
        component: TransactionProcessLogComponent,
      },
      {
        path: 'view-pending-approval',
        component: ViewPendingApprovalComponent,
      },
      {
        path: 'agent-block-transaction',
        component: AgentBlockTransactionComponent,
      },
      {
        path: 'block-unblock-transaction',
        component: BlockUnblockTransactionComponent,
      },
      {
        path: 'beneficiary-register',
        component: BeneficiaryRegistrationComponent,
      },
      {
        path: 'commission-income',
        component: CommissionIncomeComponent,
      },
      {
        path: 'block-transaction',
        component: BlockTransactionComponent,
      },
      {
        path: 'edit-beneficiary-registration',
        component: EditBeneficiaryRegistrationComponent,
      },
      {
        path: 'beneficiary-registration-checker',
        component: BeneficiaryRegistrationCheckerComponent,
      },
      {
        path: 'rejected-beneficiary',
        component: RejectedBeneficiaryComponent,
      },
      {
        path: 'channel-hold-transaction',
        component: ChannelHoldTransactionComponent,
      },
      {
        path: 'cancellation-checker',
        component: CancellationCheckerComponent,
      },
      {
        path: 'customer-registration-checker',
        component: CustomerRegistrationCheckerComponent,
      },
      {
        path: 'rejected-customer',
        component: RejectedCustomerComponent,
      },
      {
        path: 'transaction-amendment',
        component: TransactionAmendmentComponent,
      },
      {
        path: 'channel-cancel-transaction',
        component: ChannelCancelTransactionComponent,
      },
      {
        path: 'sending-sub-agent-commission',
        component: SendingSubAgentCommissionComponent,
      },
      {
        path: 'view-sending-sub-agent-margin',
        component: ViewSendingSubAgentMarginComponent,
      },
      {
        path: 'manage-cif-wise-comission',
        component: ManageCifWiseComissionComponent,
      },
      {
        path: 'vat',
        component: VatComponent,
      },
      {
        path: 'relationship-management',
        component: RelationshipManagementComponent,
      },
      {
        path: 'manage-remitter-occupation',
        component: ManageRemitterOccupationComponent,
      },
      {
        path: 'manage-source-of-income',
        component: ManageSourceOfIncomeComponent,
      },
      {
        path: 'tag-mapping',
        component: TagMappingComponent,
      },
      {
        path: 'map-tr-master',
        component: MapTrMasterComponent,
      },
      {
        path: 'complaince-hold-transaction-process/:id',
        component: ComplainceHoldTransactionProcessComponent,
      },
      {
        path: 'complaince-view-list-approve/:id',
        component: ComplainceViewListApproveComponent,
      },
      {
        path: 'reject-beneficiary-compliance-report-reject/:id',
        component: BeneficiaryComplianceReleaseReportRejectComponent,
      },
      {
        path: 'beneficiary-compliance-release-report/:id',
        component: BeneficiaryComplianceReleaseReportComponent,
      },
      {
        path: 'beneficiary-compliance-hold-view/:id',
        component: BeneficiaryComplianceHoldViewComponent,
      },
      {
        path: 'edit-transaction-details',
        component: EditTransactionDetailsComponent,
      },
      {
        path: 'mis-report',
        component: MisReportComponent,
      },
      {
        path: 'sales-marketing-report',
        component: SalesMarketingReportComponent,
      },
      {
        path: 'remittance-paid-unpaid',
        component: RemittancePaidUnpaidComponent,
      },
      {
        path: 'upload-transaction',
        component: UploadTransactionComponent,
      },
      {
        path: 'download-transaction',
        component: DownloadTransactionComponent,
      },
      {
        path: 'compliance-details-report',
        component: ComplianceDetailsReportComponent,
      },
      {
        path: 'data-mapping',
        component: DataMappingComponent,
      },
      {
        path: 'view-transaction-status-for-agent',
        component: ViewTransactionStatusForAgentComponent,
      },
      {
        path: 'edit-stop-payment/:Branch/:AppID/:RefNo/:trnNo',
        component: EditStopPaymentComponent,
      },
      {
        path: 'view-transaction-receipt',
        component: ViewTransactionReceiptComponent,
      },
      {
        path: 'ra-cta-hold-transaction',
        component: RaCtaHoldTransactionComponent,
      },
      {
        path: 'manage-compliance-rejection',
        component: ManageComplianceRejectionComponent,
      },
      {
        path: 'home',
        component: LandingPageComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DashboardRoutingModule {}
