import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root'
})
export class BeneficiaryRegisterDetailsService {

  constructor(private http: HttpClient) {}

  getBeneficiaryRegistrationData(typeOfBeneficiary: any , fromDate: string, toDate: string) {
    const url = `${environment.apiUrl}/api/master/reports/beneficiary-registration-report/fill-grid`;
    const params = {
      TypeofBeneficiary: typeOfBeneficiary.toString(),
      FromDate: fromDate,
      ToDate: toDate
    };

    return this.http.get(url, {
      headers: {
        Authorization: getCacheData('admin_token'),
        Accept: 'application/json',
        username: getCacheData('username'),
      },
      params: params
    });
  }
}
