import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ErrorLogReportService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getErrorLogData(): Observable<any[]> {
    return this.http.get<any[]>(`${environment.apiUrl}/api/master/reports/error-log-report/grid`, {
      headers: {
        Authorization: getCacheData('admin_token'),
        Accept: 'application/json',
        username: getCacheData('username'),
      }
    });
  }
}
