import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class ManageLocationService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getAllLocations(
    token: any,
    username,
    countryId = 0,
    cityId = 0
  ): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.get(
      `${environment.apiUrl}/api/master/location?countryId=${countryId}&cityId=${cityId}`,
      {
        headers: headers,
      }
    );
  }

  addLocation(token: any, username: any, payload: any): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.post(
      `${environment.apiUrl}/api/master/location
      `,
      payload,
      {
        headers: headers,
      }
    );
  }

  updateLocation(token: any, username: any, payload: any): Observable<any> {
    const headers = new HttpHeaders({
      Authorization: token,
      Accept: 'application/json',
      username: username,
    });
    return this.http.patch(
      `${environment.apiUrl}/api/master/location`,
      payload,
      {
        headers: headers,
      }
    );
  }
}
