import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ManageRemitterOccupationService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getOccupationList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/remitter-occupation/occupation-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAllRecord(occupationName: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/remitter-occupation/all-record?StrRemitter=${occupationName}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  addRemitterOccupation(occupationName: string, isActive: boolean = false) {
    return this.http.post(
      `${
        environment.apiUrl
      }/api/master/remitter-occupation/add?RemitterOccupationName=${occupationName}&UserID=${getCacheData(
        'G_UserID'
      )}&IsActive=${isActive}`,
      '',
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  editOccupation(occupationId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/remitter-occupation/edit?OccupationID=${occupationId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  updateRemitterOccupation(
    occupationId: number = 0,
    occupationName: string,
    isActive: boolean = false
  ) {
    return this.http.patch(
      `${environment.apiUrl}/api/master/remitter-occupation/update?OccupationID=${occupationId}&RemitterOccupationName=${occupationName}&UserID=1&IsActive=${isActive}`,
      '',
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
