import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class SendingAgentWiseService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getSendCountryList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/agent-rates/send-country?UserID=0`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendAgentList(countryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/agent-rates/agent?CountryID=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getFillGrid(payInCountryId: any = 0, payOutCountryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/agent-rates/grid?payInCountry=${payInCountryId}&payInAgent=${payOutCountryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendCountryAddList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/agent-rates/add/send-country?AsPerPermission=true&MyType=2`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendCurrencyList(sendCountryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/agent-rates/add/send-currency?sendCountryID=${sendCountryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSettlementCurrencyList(agentId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/agent-rates/add/agent-settlement-currency?AgentID=${agentId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  addSendingAgentWise(payload: any = {}) {
    return this.http.post(
      `${environment.apiUrl}/api/master/agent-rates/add-data`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  updateSendingAgentWise(payload: any = {}) {
    return this.http.patch(
      `${environment.apiUrl}/api/master/agent-rates/update-data`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
