import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from './utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ViewPendingApprovalService {
  constructor(private http: HttpClient) {}

  getStatus() {
    return this.http.get(
      `${environment.apiUrl}/api/transaction-management/transaction-pending-for-approval/status`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAgentTypeList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/transection-managment/view-transection-status/agent-type-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendCountryList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/transection-managment/view-transection-status/payin-country-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getPayoutCountryList() {
    return this.http.get(
      `${environment.apiUrl}/api/master/transection-managment/view-stop-payment/payout-country-list?_MyType=1&_AsPerPermission=true&_CountryID=0`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAgentList(targetCountryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/master/transection-managment/view-stop-payment/agent-list?_TargetCountryID=${targetCountryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAgentBranchList(agentId: any) {
    return this.http.get(
      `${environment.apiUrl}/api/master/transection-managment/view-stop-payment/agent-branch-list?agentID=${agentId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getUserList(agentId: any = 0, agentBranchId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/api/transaction-management/transaction-pending-for-approval/user?AgentID=${agentId}&AgentBranchID=${agentBranchId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getSendCurrencyList(countryId: any) {
    return this.http.get(
      `${environment.apiUrl}/api/master/transection-managment/view-stop-payment/payin-currency-list?countryId=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getDestCurrencyList(countryId: any) {
    return this.http.get(
      `${environment.apiUrl}/api/master/transection-managment/view-stop-payment/payout-currency-list?countryId=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getTransactionReport(TransactionNumber: any) {
    return this.http.get(
      `${environment.apiUrl}/api/transaction-management/transaction-cancel-paid/transaction-report?TransactionNumber=${TransactionNumber}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getTransactionPendingDetail(payload: any) {
    return this.http.post(
      `${environment.apiUrl}/api/transaction-management/transaction-pending-for-approval/transaction-pending-detail`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  approveTransaction(payload: any) {
    return this.http.patch(
      `${environment.apiUrl}/api/transaction-management/transaction-pending-for-approval/transaction-approval`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
